info:
  name: Dipendente by Codice Fiscale
  type: http
  seq: 6

http:
  method: GET
  url: "{{IdemApiUrl}}/dipendente_by_codfis.php?cod_fis=NCRMNO90B66F463P"
  params:
    - name: cod_fis
      value: BLLCDL60C28H224V
      type: query
      description: Codice fislcale del dipendente
      disabled: true
    - name: cod_fis
      value: RCRVCN92S06D284C
      type: query
      disabled: true
    - name: cod_fis
      value: NCLMHL73P02I862C
      type: query
      disabled: true
    - name: cod_fis
      value: CRRRRT63T31H223A
      type: query
      disabled: true
    - name: cod_fis
      value: BRTSMN69B65G337A
      type: query
      disabled: true
    - name: cod_fis
      value: XXXXXXXXXXXXXXXX
      type: query
      description: 404 Not Found - Testing
      disabled: true
    - name: cod_fis
      value: BFFSFN68R19H501F
      type: query
      disabled: true
    - name: cod_fis
      value: MMMPPL74T17E463A
      type: query
      disabled: true
    - name: cod_fis
      value: VRNLCI66S52H501E
      type: query
      disabled: true
    - name: cod_fis
      value: CLCMGN75L55F052R
      type: query
      disabled: true
    - name: cod_fis
      value: BRCMTR68E41G337E
      type: query
      disabled: true
    - name: cod_fis
      value: PVNFPP74E11G337B
      type: query
      disabled: true
    - name: cod_fis
      value: NCRMNO90B66F463P
      type: query
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Dipendente (Codice fiscale) - Ricercatore
    request:
      url: "{{IdemApiUrl}}/dipendente.php?cod_fis=RCRVCN92S06D284C"
      method: GET
      params:
        - name: cod_fis
          value: BLLCDL60C28H224V
          type: query
          description: Codice fislcale del dipendente
          disabled: true
        - name: cod_fis
          value: RCRVCN92S06D284C
          type: query
        - name: cod_fis
          value: NCLMHL73P02I862C
          type: query
          disabled: true
        - name: cod_fis
          value: MMMPPL74T17E463A
          type: query
          disabled: true
        - name: mail
          value: pierpaolo.mammi@unipr.it
          type: query
          disabled: true
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Fri, 06 Jun 2025 07:52:28 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "1368"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "idAb": "230022",
              "matricola": "033657",
              "nome": "Vincenzo",
              "cognome": "ARCERI",
              "dataFineRapporto": "2026-08-31",
              "dataInizioRapporto": "2021-09-01",
              "codice_attivita": "0001",
              "descrizione_attivita": "In servizio",
              "emailAteneo": "vincenzo.arceri@unipr.it",
              "cellulare_servizio": null,
              "ruolo": "RD",
              "profilo": "00000000000",
              "inquadramento": "PX0100",
              "genere": "M",
              "cod_fis": "RCRVCN92S06D284C",
              "id_ab_struttura": "186469",
              "codice_struttura": "106150",
              "nome_struttura": "Dipartimento di Scienze Matematiche, Fisiche e Informatiche",
              "id_ab_struttura_padre": "22484",
              "codice_struttura_padre": "170021",
              "nome_struttura_padre": "Universita' degli Studi di PARMA",
              "telefono": "906961",
              "comitato": "01",
              "codiceSsd": "INFO-01/A",
              "area_disciplinare": "01",
              "nome_sup_diretto": "Adriano",
              "cognome_sup_diretto": "TOMASSINI",
              "cf_sup_diretto": "TMSDRN69A28H501Y",
              "mail_sup_diretto": "adriano.tomassini@unipr.it",
              "matricola_sup_diretto": "005252",
              "nome_sup_apicale": "Adriano",
              "cognome_sup_apicale": "TOMASSINI",
              "matricola_sup_apicale": "005252",
              "cf_sup_apicale": "TMSDRN69A28H501Y",
              "mail_sup_apicale": "adriano.tomassini@unipr.it",
              "pt_tipo": null,
              "pt_ds_tipo": null,
              "perc_pt": "100",
              "descrizione_ruolo": null,
              "descrizione_profilo": "Non assegnato",
              "descrizione_inquadramento": "Ricercatore t.d. art. 24 c. 3 lett. A Legge 240/10 (t.pieno)",
              "id_fascicolo_titulus": "3225458",
              "num_fascicolo_titulus": "2021-UNPRCLE-07/00.033657"
          }
  - name: Dipendente (Codice fiscale) - Funzionario
    request:
      url: "{{IdemApiUrl}}/dipendente.php?cod_fis=MMMPPL74T17E463A"
      method: GET
      params:
        - name: cod_fis
          value: BLLCDL60C28H224V
          type: query
          description: Codice fislcale del dipendente
          disabled: true
        - name: cod_fis
          value: RCRVCN92S06D284C
          type: query
          disabled: true
        - name: cod_fis
          value: NCLMHL73P02I862C
          type: query
          disabled: true
        - name: cod_fis
          value: MMMPPL74T17E463A
          type: query
        - name: mail
          value: pierpaolo.mammi@unipr.it
          type: query
          disabled: true
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Fri, 06 Jun 2025 07:53:46 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "1294"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "idAb": "269139",
              "matricola": "050713",
              "nome": "Pier Paolo",
              "cognome": "MAMMI",
              "dataFineRapporto": null,
              "dataInizioRapporto": "2025-01-20",
              "codice_attivita": "0001",
              "descrizione_attivita": "In servizio",
              "emailAteneo": "pierpaolo.mammi@unipr.it",
              "cellulare_servizio": null,
              "ruolo": "ND",
              "profilo": "SETTORE_10",
              "inquadramento": "FU0",
              "genere": "M",
              "cod_fis": "MMMPPL74T17E463A",
              "id_ab_struttura": "162359",
              "codice_struttura": "106143",
              "nome_struttura": "U.O. Sistemi Applicativi",
              "id_ab_struttura_padre": "162353",
              "codice_struttura_padre": "106139",
              "nome_struttura_padre": "Area - Sistemi Informativi",
              "telefono": "0521 904145",
              "comitato": null,
              "codiceSsd": "000000000000",
              "area_disciplinare": "00",
              "nome_sup_diretto": "Simona",
              "cognome_sup_diretto": "BERTE'",
              "cf_sup_diretto": "BRTSMN69B65G337A",
              "mail_sup_diretto": "simona.berte@unipr.it",
              "matricola_sup_diretto": "005603",
              "nome_sup_apicale": "Candeloro",
              "cognome_sup_apicale": "BELLANTONI",
              "matricola_sup_apicale": "028973",
              "cf_sup_apicale": "BLLCDL60C28H224V",
              "mail_sup_apicale": "candeloro.bellantoni@unipr.it",
              "pt_tipo": null,
              "pt_ds_tipo": null,
              "perc_pt": "100",
              "descrizione_ruolo": null,
              "descrizione_profilo": "Settore tecnico - informatico",
              "descrizione_inquadramento": "Area dei Funzionari",
              "id_fascicolo_titulus": "5404836",
              "num_fascicolo_titulus": "2025-UNPRCLE-07/00.50713"
          }
  - name: Dipendente (Codice fiscale) - Dirigente
    request:
      url: "{{IdemApiUrl}}/dipendente.php?cod_fis=BLLCDL60C28H224V"
      method: GET
      params:
        - name: cod_fis
          value: BLLCDL60C28H224V
          type: query
          description: Codice fislcale del dipendente
        - name: cod_fis
          value: RCRVCN92S06D284C
          type: query
          disabled: true
        - name: cod_fis
          value: NCLMHL73P02I862C
          type: query
          disabled: true
        - name: cod_fis
          value: MMMPPL74T17E463A
          type: query
          disabled: true
        - name: mail
          value: pierpaolo.mammi@unipr.it
          type: query
          disabled: true
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Fri, 06 Jun 2025 07:54:03 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "1336"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "idAb": "217656",
              "matricola": "028973",
              "nome": "Candeloro",
              "cognome": "BELLANTONI",
              "dataFineRapporto": "2025-10-31",
              "dataInizioRapporto": "2022-11-01",
              "codice_attivita": "0001",
              "descrizione_attivita": "In servizio",
              "emailAteneo": "candeloro.bellantoni@unipr.it",
              "cellulare_servizio": null,
              "ruolo": "DC",
              "profilo": "00000000000",
              "inquadramento": "00005",
              "genere": "M",
              "cod_fis": "BLLCDL60C28H224V",
              "id_ab_struttura": "22160",
              "codice_struttura": "002000",
              "nome_struttura": "Direzione Generale",
              "id_ab_struttura_padre": "112266",
              "codice_struttura_padre": "106018",
              "nome_struttura_padre": "Rettorato, Direzione Generale, Aree Dirigenziali",
              "telefono": null,
              "comitato": null,
              "codiceSsd": "000000000000",
              "area_disciplinare": "00",
              "nome_sup_diretto": "Candeloro",
              "cognome_sup_diretto": "BELLANTONI",
              "cf_sup_diretto": "BLLCDL60C28H224V",
              "mail_sup_diretto": "candeloro.bellantoni@unipr.it",
              "matricola_sup_diretto": "028973",
              "nome_sup_apicale": "Candeloro",
              "cognome_sup_apicale": "BELLANTONI",
              "matricola_sup_apicale": "028973",
              "cf_sup_apicale": "BLLCDL60C28H224V",
              "mail_sup_apicale": "candeloro.bellantoni@unipr.it",
              "pt_tipo": null,
              "pt_ds_tipo": null,
              "perc_pt": "100",
              "descrizione_ruolo": null,
              "descrizione_profilo": "Non assegnato",
              "descrizione_inquadramento": "Direttore generale (Legge 240/2010)",
              "id_fascicolo_titulus": "2430679",
              "num_fascicolo_titulus": "2020-UNPRCLE-07/00.28973"
          }
  - name: Dipendente (Codice fiscale) - Professore
    request:
      url: "{{IdemApiUrl}}/dipendente.php?cod_fis=CRRRRT63T31H223A"
      method: GET
      params:
        - name: cod_fis
          value: BLLCDL60C28H224V
          type: query
          description: Codice fislcale del dipendente
          disabled: true
        - name: cod_fis
          value: RCRVCN92S06D284C
          type: query
          disabled: true
        - name: cod_fis
          value: NCLMHL73P02I862C
          type: query
          disabled: true
        - name: cod_fis
          value: MMMPPL74T17E463A
          type: query
          disabled: true
        - name: mail
          value: pierpaolo.mammi@unipr.it
          type: query
          disabled: true
        - name: cod_fis
          value: CRRRRT63T31H223A
          type: query
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Fri, 06 Jun 2025 07:55:11 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "1373"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "idAb": "16044",
              "matricola": "004855",
              "nome": "Roberto",
              "cognome": "CORRADINI",
              "dataFineRapporto": null,
              "dataInizioRapporto": "2018-10-16",
              "codice_attivita": "0001",
              "descrizione_attivita": "In servizio",
              "emailAteneo": "roberto.corradini@unipr.it",
              "cellulare_servizio": null,
              "ruolo": "PO",
              "profilo": "00000000000",
              "inquadramento": "PN0003",
              "genere": "M",
              "cod_fis": "CRRRRT63T31H223A",
              "id_ab_struttura": "186471",
              "codice_struttura": "106152",
              "nome_struttura": "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale ",
              "id_ab_struttura_padre": "22484",
              "codice_struttura_padre": "170021",
              "nome_struttura_padre": "Universita' degli Studi di PARMA",
              "telefono": "905410",
              "comitato": "03",
              "codiceSsd": "CHEM-05/A",
              "area_disciplinare": "03",
              "nome_sup_diretto": "Roberto",
              "cognome_sup_diretto": "CORRADINI",
              "cf_sup_diretto": "CRRRRT63T31H223A",
              "mail_sup_diretto": "roberto.corradini@unipr.it",
              "matricola_sup_diretto": "004855",
              "nome_sup_apicale": "Roberto",
              "cognome_sup_apicale": "CORRADINI",
              "matricola_sup_apicale": "004855",
              "cf_sup_apicale": "CRRRRT63T31H223A",
              "mail_sup_apicale": "roberto.corradini@unipr.it",
              "pt_tipo": null,
              "pt_ds_tipo": null,
              "perc_pt": "100",
              "descrizione_ruolo": null,
              "descrizione_profilo": "Non assegnato",
              "descrizione_inquadramento": "Prof.Ordinario Legge 240/10 - t.pieno - classe 3",
              "id_fascicolo_titulus": "45240",
              "num_fascicolo_titulus": "2014-UNPRCLE-07/00.004855"
          }
  - name: Dipendente (Codice fiscale) - 404 Not Found
    request:
      url: "{{IdemApiUrl}}/dipendente.php?cod_fis=XXXXXXXXXXXXXXXX"
      method: GET
      params:
        - name: cod_fis
          value: BLLCDL60C28H224V
          type: query
          description: Codice fislcale del dipendente
          disabled: true
        - name: cod_fis
          value: RCRVCN92S06D284C
          type: query
          disabled: true
        - name: cod_fis
          value: NCLMHL73P02I862C
          type: query
          disabled: true
        - name: cod_fis
          value: MMMPPL74T17E463A
          type: query
          disabled: true
        - name: cod_fis
          value: CRRRRT63T31H223A
          type: query
          disabled: true
        - name: cod_fis
          value: BRTSMN69B65G337A
          type: query
          disabled: true
        - name: cod_fis
          value: XXXXXXXXXXXXXXXX
          type: query
          description: 404 Not Found - Testing
    response:
      statusText: "404"
      headers:
        - name: Date
          value: Mon, 23 Jun 2025 09:22:12 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "2"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: "{}"
